// *************************************************************************************************************************************************
//	Libreria de scripts de Javascript
// Copyright 2003-2005  Jos Manuel Alonso. Todos los derechos reservados.
// Fecha Creacin:2003-2004
// Fecha ltima modificacin: Febrero-2005
// Nombre del fichero: propiedades_aulas.js
// Descripcin : 
//		Este fichero implementa las funciones javascript del fichero propiedades_aulas.php
// *************************************************************************************************************************************************
var currentHora=null;
//________________________________________________________________________________________________________
//	
//	Cancela la edicin 
//________________________________________________________________________________________________________
function cancelar(){
	window.returnValue=null
	self.close();
}
//________________________________________________________________________________________________________
//	
//	Esta funcin desabilita la marca de un checkbox en opcion "bajas"
//________________________________________________________________________________________________________
 function desabilita(o) {
	var b
    b=o.checked
    o.checked=!b
 }
//________________________________________________________________________________________________________
//	
//	Confirma la edicin 
//________________________________________________________________________________________________________
function confirmar(op){
	var opcion=op;
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	var wurl="../gestores/gestor_aulas.php?opcion="+opcion
	if (opcion!=op_eliminacion){
		if(!comprobar_datos()) return
		var valor
		var o
		var nit=document.forms("fdatos").length // Prepara la cadena de parmetros metodo get
		for (i=0;i<nit;i++){
			o=document.forms("fdatos").item(i)
			valor=o.value
			if (valor=="on") {
					if(o.checked ) 
						valor=1; 
					else 
						valor=0
			}
			wurl+="&"+o.name+"="+valor
		}
	}
	else{
		var numo=parseInt(document.fdatos.ordenadores.value)
		if (numo>0){
			var resul=window.confirm(TbMsg[2]);
			if (!resul)  self.close()
		}
		wurl+="&idaula="+document.fdatos.idaula.value
	}
	ifr.src=wurl; // LLama a la pgina gestora
}
//________________________________________________________________________________________________________
//	
//	Comprobar_datos 
//________________________________________________________________________________________________________
function comprobar_datos(){
	if (document.fdatos.nombreaula.value=="") {
		alert(TbMsg[0]);
		document.fdatos.nombreaula.focus();
		return(false);
	}
	if (document.fdatos.puestos.value=="" || document.fdatos.puestos.value=="0") {
		alert(TbMsg[1]);
		document.fdatos.puestos.focus();
		return(false);
	}
	if (parseInt(document.fdatos.horaresevini.value)>parseInt(document.fdatos.horaresevfin.value)) {
		alert(TbMsg[3]);
		document.fdatos.horaresevini.focus();
		return(false);
	}

	return(true);
}
//________________________________________________________________________________________________________
//	
// Devuelve el resultado de insertar una nueva aula en la base de datos a traves del IFRAME
// Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin (true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- nwid: Identificador asignado al nuevo registro
//			- tablanodo: Tabla nodo generada para el nuevo registro (rbol de un slo un elemento)
//________________________________________________________________________________________________________
function resultado_insertar_aulas(resul,descrierror,nwid,tablanodo){
	valorretorno=resul+"\t"+descrierror+"\t"+nwid+"\t"+tablanodo
	window.returnValue=valorretorno;
	self.close();
}
//________________________________________________________________________________________________________
//	
//		Devuelve el resultado de modificar algn dato de un aula a traves del IFRAME
//		Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro que se quiso modificar
//________________________________________________________________________________________________________
function resultado_modificar_aulas(resul,descrierror,id){
	valorretorno=resul+"\t"+descrierror+"\t"+document.fdatos.nombreaula.value
	window.returnValue=valorretorno;
	self.close();
}
//________________________________________________________________________________________________________
//	
//		Devuelve el resultado de eliminar el un aula a traves del IFRAME
//		Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro que se quiso modificar
//________________________________________________________________________________________________________
function resultado_eliminar_aulas(resul,descrierror,id){
	valorretorno=resul+"\t"+descrierror+"\t"+id
	window.returnValue=valorretorno;
	self.close();
}
//________________________________________________________________________________________________________
	function vertabla_horas(ohora){
		currentHora=ohora;
		url="../varios/horareser_ventana.php?hora="+ohora.value
		window.open(url,"vh","top=200,left=250,height=120,width=160,scrollbars=no")
	}
//________________________________________________________________________________________________________
	function anade_hora(hora){
		currentHora.value=hora
	}