// *************************************************************************************************************************************************
//	Libreria de scripts de Javascript
// Copyright 2003-2005  Jos Manuel Alonso. Todos los derechos reservados.
// Fecha Creacin:2003-2004
// Fecha ltima modificacin: Febrero-2005
// Nombre del fichero: propiedades_usuarios.js
// Descripcin : 
//		Este fichero implementa las funciones javascript del fichero propiedades_usuarios.php
// *************************************************************************************************************************************************
//________________________________________________________________________________________________________
//	
//	Cancela la edicin 
//________________________________________________________________________________________________________
function cancelar(){
	window.returnValue=null
	self.close();
}
//________________________________________________________________________________________________________
//	
//	Confirma la edicin 
//________________________________________________________________________________________________________
function confirmar(op){
	var opcion=op;
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	var wurl="../gestores/gestor_usuarios.php?opcion="+opcion
	if (opcion!=op_eliminacion){
		if(!comprobar_datos()) return
		var valor
		var o
		var nit=document.forms("fdatos").length // Prepara la cadena de parmetros metodo get
		for (i=0;i<nit;i++){
			o=document.forms("fdatos").item(i)
			valor=o.value
			if (valor=="on") {
					if(o.checked ) 
						valor=1; 
					else 
						valor=0
			}
			wurl+="&"+o.name+"="+valor
		}
	}
	else
		wurl+="&idusuario="+document.fdatos.idusuario.value
	ifr.src=wurl; // LLama a la pgina gestora
}
//________________________________________________________________________________________________________
//	
//	Comprobar_datos 
//________________________________________________________________________________________________________
function comprobar_datos(){
	if (document.fdatos.usuario.value==""){
         alert(TbMsg[0])
		document.forms.fdatos.usuario.focus()
		return(false)
	}
	if (document.fdatos.pasguor.value==""){
		alert(TbMsg[1])
		document.forms.fdatos.pasguor.focus()
		return(false)
	}
	if (document.fdatos.nombre.value==""){
		alert(TbMsg[2])
		document.forms.fdatos.nombre.focus()
		return(false)
	}
	p=document.fdatos.ididioma.selectedIndex
	if (p==0){
		alert(TbMsg[4])
		document.forms.fdatos.ididioma.focus()		
		return(false)
	}
	return(true);
}
//________________________________________________________________________________________________________
//	
// Devuelve el resultado de insertar un nuevo usuario en la base de datos a traves del IFRAME
// Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin (true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- nwid: Identificador asignado al nuevo registro
//			- tablanodo: Tabla nodo generada para el nuevo registro (rbol de un slo un elemento)
//________________________________________________________________________________________________________
function resultado_insertar_usuarios(resul,descrierror,nwid,tablanodo){
	valorretorno=resul+"\t"+descrierror+"\t"+nwid+"\t"+tablanodo
	window.returnValue=valorretorno;
	self.close();
}
//________________________________________________________________________________________________________
//	
//		Devuelve el resultado de modificarlos datos de un usuario a traves del IFRAME
//		Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro que se quiso modificar
//________________________________________________________________________________________________________
function resultado_modificar_usuarios(resul,descrierror,id){
	valorretorno=resul+"\t"+descrierror+"\t"+document.fdatos.nombre.value+"\t"+id
	window.returnValue=valorretorno;
	self.close();
}
//________________________________________________________________________________________________________
//	
//		Devuelve el resultado de eliminar el literal de un usuario a traves del IFRAME
//		Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro que se quiso modificar
//________________________________________________________________________________________________________
function resultado_eliminar_usuarios(resul,descrierror,id){
	valorretorno=resul+"\t"+descrierror+"\t"+id
	window.returnValue=valorretorno;
	self.close();
}