use [_catalog_];

if not exists (select * from master.dbo.syslogins where loginname = N'_usuario_')
BEGIN
	declare @logindb nvarchar(132), @loginlang nvarchar(132) select @logindb = N'_catalog_', @loginlang = N'Espaol'
	if @logindb is null or not exists (select * from master.dbo.sysdatabases where name = @logindb)
		select @logindb = N'master'
	if @loginlang is null or (not exists (select * from master.dbo.syslanguages where name = @loginlang) and @loginlang <> N'us_english')
		select @loginlang = @@language
	exec sp_addlogin N'_usuario_', _pasguor_, @logindb, @loginlang
END
;

if not exists (select * from dbo.sysusers where name = N'_usuario_' and uid < 16382)
	EXEC sp_grantdbaccess N'_usuario_', N'_usuario_'
;

exec sp_addrolemember N'db_datareader', N'_usuario_'
;

exec sp_addrolemember N'db_datawriter', N'_usuario_'
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_imagenes_softcombinacional_imagenes]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[imagenes_softincremental] DROP CONSTRAINT FK_imagenes_softcombinacional_imagenes
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_ordenador_imagen_imagenes]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[ordenador_imagen] DROP CONSTRAINT FK_ordenador_imagen_imagenes
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_ordenador_imagen_ordenadores]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[ordenador_imagen] DROP CONSTRAINT FK_ordenador_imagen_ordenadores
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_perfileshard_hardwares_perfileshard]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[perfileshard_hardwares] DROP CONSTRAINT FK_perfileshard_hardwares_perfileshard
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_perfileshard_perfilessoft_perfileshard]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[perfileshard_perfilessoft] DROP CONSTRAINT FK_perfileshard_perfilessoft_perfileshard
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_phard_psoft_softcombinacional_perfileshard_perfilessoft]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[phard_psoft_softincremental] DROP CONSTRAINT FK_phard_psoft_softcombinacional_perfileshard_perfilessoft
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_imagenes_perfilessoft]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[imagenes] DROP CONSTRAINT FK_imagenes_perfilessoft
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_perfileshard_perfilessoft_perfilessoft]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[perfileshard_perfilessoft] DROP CONSTRAINT FK_perfileshard_perfilessoft_perfilessoft
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_perfilessoft_softwares_perfilessoft]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[perfilessoft_softwares] DROP CONSTRAINT FK_perfilessoft_softwares_perfilessoft
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_imagenes_softcombinacional_softcombinacional]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[imagenes_softincremental] DROP CONSTRAINT FK_imagenes_softcombinacional_softcombinacional
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_phard_psoft_softcombinacional_softcombinacional]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[phard_psoft_softincremental] DROP CONSTRAINT FK_phard_psoft_softcombinacional_softcombinacional
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_softcombinacional_softwares_softcombinacional]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[softincremental_softwares] DROP CONSTRAINT FK_softcombinacional_softwares_softcombinacional
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_perfilessoft_softwares_softwares]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[perfilessoft_softwares] DROP CONSTRAINT FK_perfilessoft_softwares_softwares
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ImagenesOrdenador]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[ImagenesOrdenador]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[acciones]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[acciones]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[acciones_menus]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[acciones_menus]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[aulas]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[aulas]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[centros]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[centros]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[comandos]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[comandos]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[comandos_eng]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[comandos_eng]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[configuraciones]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[configuraciones]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[entidades]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[entidades]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[estatus]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[estatus]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[grupos]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[grupos]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[gruposordenadores]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[gruposordenadores]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[hardwares]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[hardwares]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[iconos]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[iconos]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[idiomas]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[idiomas]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[imagenes]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[imagenes]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[imagenes_softincremental]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[imagenes_softincremental]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[menus]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[menus]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[notificaciones]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[notificaciones]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ordenador_imagen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[ordenador_imagen]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ordenadores]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[ordenadores]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[parametros]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[parametros]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[particiones]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[particiones]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[perfileshard]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[perfileshard]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[perfileshard_hardwares]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[perfileshard_hardwares]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[perfileshard_perfilessoft]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[perfileshard_perfilessoft]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[perfilessoft]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[perfilessoft]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[perfilessoft_softwares]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[perfilessoft_softwares]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[phard_psoft_softincremental]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[phard_psoft_softincremental]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[procedimientos]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[procedimientos]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[procedimientos_comandos]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[procedimientos_comandos]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[programaciones]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[programaciones]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[reservas]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[reservas]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[servidoresdhcp]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[servidoresdhcp]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[servidoresrembo]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[servidoresrembo]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[softincremental_softwares]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[softincremental_softwares]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[softincrementales]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[softincrementales]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[softwares]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[softwares]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tareas]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tareas]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tareas_comandos]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tareas_comandos]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tipohardwares]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tipohardwares]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tiposoftwares]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tiposoftwares]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tiposos]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tiposos]
;


if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[trabajos]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[trabajos]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[trabajos_tareas]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[trabajos_tareas]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[universidades]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[universidades]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[urlimagesitems]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[urlimagesitems]
;

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usuarios]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[usuarios]
;

CREATE TABLE [dbo].[acciones] (
	[idaccion] [int] IDENTITY (1, 1) NOT NULL ,
	[tipoaccion] [int] NOT NULL ,
	[idtipoaccion] [int] NULL ,
	[cateaccion] [tinyint] NULL ,
	[ambito] [tinyint] NULL ,
	[idambito] [int] NULL ,
	[ambitskwrk] [text] COLLATE Modern_Spanish_CI_AS NULL ,
	[fechahorareg] [smalldatetime] NOT NULL ,
	[fechahorafin] [smalldatetime] NULL ,
	[parametros] [text] COLLATE Modern_Spanish_CI_AS NULL ,
	[estado] [char] (1) COLLATE Modern_Spanish_CI_AS NULL ,
	[resultado] [char] (1) COLLATE Modern_Spanish_CI_AS NULL ,
	[idcentro] [int] NULL ,
	[accionid] [int] NULL ,
	[idnotificador] [int] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[acciones_menus] (
	[idaccionmenu] [int] IDENTITY (1, 1) NOT NULL ,
	[tipoaccion] [tinyint] NOT NULL ,
	[idtipoaccion] [int] NOT NULL ,
	[idmenu] [int] NOT NULL ,
	[tipoitem] [tinyint] NULL ,
	[idurlimg] [int] NULL ,
	[descripitem] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[orden] [tinyint] NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[aulas] (
	[idaula] [int] IDENTITY (1, 1) NOT NULL ,
	[nombreaula] [nvarchar] (100) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[idcentro] [int] NOT NULL ,
	[urlfoto] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[cuadro_y] [char] (3) COLLATE Modern_Spanish_CI_AS NULL ,
	[cuadro_x] [char] (3) COLLATE Modern_Spanish_CI_AS NULL ,
	[cagnon] [bit] NULL ,
	[pizarra] [bit] NULL ,
	[grupoid] [int] NULL ,
	[ubicacion] [varchar] (255) COLLATE Modern_Spanish_CI_AS NULL ,
	[comentarios] [text] COLLATE Modern_Spanish_CI_AS NULL ,
	[puestos] [tinyint] NULL ,
	[horaresevini] [tinyint] NULL ,
	[horaresevfin] [tinyint] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[centros] (
	[idcentro] [int] IDENTITY (1, 1) NOT NULL ,
	[nombrecentro] [nvarchar] (100) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[identidad] [int] NULL ,
	[comentarios] [text] COLLATE Modern_Spanish_CI_AS NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[comandos] (
	[idcomando] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[nfuncion1] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[nfuncion2] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[nfuncion4] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[nfuncion8] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[nfuncion10] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[urlimg] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[urlamb1] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[urlamb2] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[urlamb4] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[urlamb8] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[urlamb10] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[aplicambito] [tinyint] NULL ,
	[visuparametros] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[parametros] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[comentarios] [text] COLLATE Modern_Spanish_CI_AS NULL ,
	[interactivo] [bit] NULL ,
	[ejecutor] [char] (1) COLLATE Modern_Spanish_CI_AS NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[comandos_eng] (
	[idcomando] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[nfuncion1] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[nfuncion2] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[nfuncion4] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[nfuncion8] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[nfuncion10] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[urlimg] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[urlamb1] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[urlamb2] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[urlamb4] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[urlamb8] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[urlamb10] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[aplicambito] [tinyint] NULL ,
	[visuparametros] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[parametros] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[comentarios] [text] COLLATE Modern_Spanish_CI_AS NULL ,
	[interactivo] [bit] NULL ,
	[ejecutor] [char] (1) COLLATE Modern_Spanish_CI_AS NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[configuraciones] (
	[idconfiguracion] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[configuracion] [text] COLLATE Modern_Spanish_CI_AS NOT NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[entidades] (
	[identidad] [int] IDENTITY (1, 1) NOT NULL ,
	[nombreentidad] [nvarchar] (200) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[comentarios] [text] COLLATE Modern_Spanish_CI_AS NULL ,
	[iduniversidad] [int] NULL ,
	[grupoid] [int] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[estatus] (
	[idestatus] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[grupos] (
	[idgrupo] [int] IDENTITY (1, 1) NOT NULL ,
	[nombregrupo] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[grupoid] [int] NOT NULL ,
	[tipo] [tinyint] NOT NULL ,
	[idcentro] [int] NOT NULL ,
	[iduniversidad] [int] NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[gruposordenadores] (
	[idgrupo] [int] IDENTITY (1, 1) NOT NULL ,
	[nombregrupoordenador] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[idaula] [int] NOT NULL ,
	[grupoid] [int] NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[hardwares] (
	[idhardware] [int] IDENTITY (1, 1) NOT NULL ,
	[idtipohardware] [int] NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[idcentro] [int] NOT NULL ,
	[grupoid] [int] NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[iconos] (
	[idicono] [int] IDENTITY (1, 1) NOT NULL ,
	[urlicono] [nvarchar] (200) COLLATE Modern_Spanish_CI_AS NULL ,
	[idtipoicono] [int] NULL ,
	[descripcion] [nvarchar] (50)  COLLATE Modern_Spanish_CI_AS NULL 
) ON [PRIMARY] 
;

CREATE TABLE [dbo].[idiomas] (
	[ididioma] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [nvarchar] (100) COLLATE Modern_Spanish_CI_AS NULL ,
	[nemonico] [char] (3) COLLATE Modern_Spanish_CI_AS NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[imagenes] (
	[idimagen] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[idperfilsoft] [int] NULL ,
	[idcentro] [int] NULL ,
	[comentarios] [text] COLLATE Modern_Spanish_CI_AS NULL ,
	[grupoid] [int] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[imagenes_softincremental] (
	[idimagen] [int] NOT NULL ,
	[idsoftincremental] [int] NOT NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[menus] (
	[idmenu] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[idcentro] [int] NOT NULL ,
	[urlimg] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[titulo] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[coorx] [int] NULL ,
	[coory] [int] NULL ,
	[modalidad] [tinyint] NULL ,
	[scoorx] [int] NULL ,
	[scoory] [int] NULL ,
	[smodalidad] [tinyint] NULL ,
	[comentarios] [text] COLLATE Modern_Spanish_CI_AS NULL ,
	[grupoid] [int] NOT NULL ,
	[htmlmenupub] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[htmlmenupri] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[resolucion] [tinyint] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[notificaciones] (
	[idnotificacion] [int] IDENTITY (1, 1) NOT NULL ,
	[accionid] [int] NOT NULL ,
	[idnotificador] [int] NULL ,
	[fechahorareg] [smalldatetime] NULL ,
	[resultado] [char] (1) COLLATE Modern_Spanish_CI_AS NULL ,
	[descrinotificacion] [text] COLLATE Modern_Spanish_CI_AS NULL ,
	[idaccion] [int] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[ordenador_imagen] (
	[idordenador] [int] NOT NULL ,
	[particion] [int] NOT NULL ,
	[idimagen] [int] NOT NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[ordenadores] (
	[idordenador] [int] IDENTITY (1, 1) NOT NULL ,
	[nombreordenador] [nvarchar] (100) COLLATE Modern_Spanish_CI_AS NULL ,
	[ip] [nvarchar] (50) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[mac] [char] (12) COLLATE Modern_Spanish_CI_AS NULL ,
	[idaula] [int] NULL ,
	[idperfilhard] [int] NULL ,
	[idservidordhcp] [int] NULL ,
	[idservidorrembo] [int] NULL ,
	[grupoid] [int] NULL ,
	[idconfiguracion] [int] NULL ,
	[idmenu] [int] NULL ,
	[idparticion] [int] NULL ,
	[cache] [int] NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[parametros] (
	[idparametro] [int] IDENTITY (1, 1) NOT NULL ,
	[nemonico] [char] (3) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[nomidentificador] [varchar] (50) COLLATE Modern_Spanish_CI_AS NULL ,
	[nomtabla] [varchar] (100) COLLATE Modern_Spanish_CI_AS NULL ,
	[nomliteral] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[tipopa] [bit] NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[particiones] (
	[idparticion] [int] IDENTITY (1, 1) NOT NULL ,
	[particion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[perfileshard] (
	[idperfilhard] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[idcentro] [int] NOT NULL ,
	[comentarios] [text] COLLATE Modern_Spanish_CI_AS NULL ,
	[grupoid] [int] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[perfileshard_hardwares] (
	[idperfilhard] [int] NOT NULL ,
	[idhardware] [int] NOT NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[perfileshard_perfilessoft] (
	[idphardidpsoft] [int] IDENTITY (1, 1) NOT NULL ,
	[idperfilhard] [int] NOT NULL ,
	[idperfilsoft] [int] NOT NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[perfilessoft] (
	[idperfilsoft] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[idcentro] [int] NOT NULL ,
	[comentarios] [text] COLLATE Modern_Spanish_CI_AS NULL ,
	[grupoid] [int] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[perfilessoft_softwares] (
	[idperfilsoft] [int] NOT NULL ,
	[idsoftware] [int] NOT NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[phard_psoft_softincremental] (
	[idphardidpsoft] [int] NOT NULL ,
	[idsoftincremental] [int] NOT NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[procedimientos] (
	[idprocedimiento] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[urlimg] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[idcentro] [int] NOT NULL ,
	[comentarios] [text] COLLATE Modern_Spanish_CI_AS NULL ,
	[grupoid] [int] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[procedimientos_comandos] (
	[idprocedimientocomando] [int] IDENTITY (1, 1) NOT NULL ,
	[idprocedimiento] [int] NOT NULL ,
	[orden] [tinyint] NULL ,
	[idcomando] [int] NOT NULL ,
	[parametros] [text] COLLATE Modern_Spanish_CI_AS NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[programaciones] (
	[idprogramacion] [int] IDENTITY (1, 1) NOT NULL ,
	[tipoaccion] [int] NULL ,
	[identificador] [int] NULL ,
	[nombrebloque] [varchar] (256) COLLATE Modern_Spanish_CI_AS NULL ,
	[annos] [tinyint] NULL ,
	[meses] [smallint] NULL ,
	[diario] [int] NULL ,
	[dias] [tinyint] NULL ,
	[semanas] [tinyint] NULL ,
	[horas] [smallint] NULL ,
	[ampm] [bit] NULL ,
	[minutos] [tinyint] NULL ,
	[segundos] [tinyint] NULL ,
	[horasini] [smallint] NULL ,
	[ampmini] [bit] NULL ,
	[minutosini] [tinyint] NULL ,
	[horasfin] [smallint] NULL ,
	[ampmfin] [bit] NULL ,
	[minutosfin] [tinyint] NULL ,
	[suspendida] [bit] NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[reservas] (
	[idreserva] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[solicitante] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[email] [varchar] (50) COLLATE Modern_Spanish_CI_AS NULL ,
	[idestatus] [tinyint] NOT NULL ,
	[comentarios] [text] COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[grupoid] [int] NOT NULL ,
	[idcentro] [int] NOT NULL ,
	[idaula] [int] NULL ,
	[idimagen] [int] NULL ,
	[idtarea] [int] NULL ,
	[idtrabajo] [int] NULL ,
	[estado] [tinyint] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[servidoresdhcp] (
	[idservidordhcp] [int] IDENTITY (1, 1) NOT NULL ,
	[nombreservidordhcp] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[ip] [char] (15) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[passguor] [varchar] (50) COLLATE Modern_Spanish_CI_AS NULL ,
	[pathdhcpconf] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[pathdhcpd] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[idcentro] [int] NULL ,
	[grupoid] [int] NULL ,
	[comentarios] [text] COLLATE Modern_Spanish_CI_AS NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[servidoresrembo] (
	[idservidorrembo] [int] IDENTITY (1, 1) NOT NULL ,
	[nombreservidorrembo] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[ip] [char] (15) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[passguor] [varchar] (50) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[pathremboconf] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[pathrembod] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[idcentro] [int] NULL ,
	[grupoid] [int] NULL ,
	[comentarios] [text] COLLATE Modern_Spanish_CI_AS NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[softincremental_softwares] (
	[idsoftincremental] [int] NOT NULL ,
	[idsoftware] [int] NOT NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[softincrementales] (
	[idsoftincremental] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[idcentro] [int] NULL ,
	[comentarios] [text] COLLATE Modern_Spanish_CI_AS NULL ,
	[grupoid] [int] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[softwares] (
	[idsoftware] [int] IDENTITY (1, 1) NOT NULL ,
	[idtiposoftware] [int] NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[idcentro] [int] NOT NULL ,
	[urlimg] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[idtiposo] [int] NULL ,
	[grupoid] [int] NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[tareas] (
	[idtarea] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[urlimg] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[idcentro] [int] NOT NULL ,
	[comentarios] [text] COLLATE Modern_Spanish_CI_AS NULL ,
	[grupoid] [int] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[tareas_comandos] (
	[idtareacomando] [int] IDENTITY (1, 1) NOT NULL ,
	[idtarea] [int] NOT NULL ,
	[orden] [tinyint] NULL ,
	[idcomando] [int] NOT NULL ,
	[ambito] [tinyint] NULL ,
	[idambito] [int] NULL ,
	[parametros] [text] COLLATE Modern_Spanish_CI_AS NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[tipohardwares] (
	[idtipohardware] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[urlimg] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[tiposoftwares] (
	[idtiposoftware] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[urlimg] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[tiposos] (
	[idtiposo] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [varchar] (50) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[nemonico] [char] (5) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[descripcionrmb] [varchar] (50) COLLATE Modern_Spanish_CI_AS NULL ,
	[tipopar] [varchar] (50) COLLATE Modern_Spanish_CI_AS NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[trabajos] (
	[idtrabajo] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[idcentro] [int] NOT NULL ,
	[urlimg] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	[comentarios] [text] COLLATE Modern_Spanish_CI_AS NULL ,
	[grupoid] [int] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[trabajos_tareas] (
	[idtrabajotarea] [int] IDENTITY (1, 1) NOT NULL ,
	[idtrabajo] [int] NOT NULL ,
	[orden] [tinyint] NULL ,
	[idtarea] [int] NULL ,
	[ambitskwrk] [text] COLLATE Modern_Spanish_CI_AS NULL ,
	[parametros] [text] COLLATE Modern_Spanish_CI_AS NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[universidades] (
	[iduniversidad] [int] IDENTITY (1, 1) NOT NULL ,
	[nombreuniversidad] [nvarchar] (200) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[comentarios] [text] COLLATE Modern_Spanish_CI_AS NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
;

CREATE TABLE [dbo].[urlimagesitems] (
	[idurlimagesitems] [int] IDENTITY (1, 1) NOT NULL ,
	[descripcion] [varchar] (250) COLLATE Modern_Spanish_CI_AS NOT NULL 
) ON [PRIMARY]
;

CREATE TABLE [dbo].[usuarios] (
	[idusuario] [int] IDENTITY (1, 1) NOT NULL ,
	[usuario] [nvarchar] (50) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[pasguor] [nvarchar] (50) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[nombre] [nvarchar] (200) COLLATE Modern_Spanish_CI_AS NULL ,
	[email] [nvarchar] (200) COLLATE Modern_Spanish_CI_AS NULL ,
	[idambito] [int] NULL ,
	[ididioma] [int] NULL ,
	[idtipousuario] [tinyint] NULL 
) ON [PRIMARY]
;

ALTER TABLE [dbo].[acciones] WITH NOCHECK ADD 
	CONSTRAINT [PK_sucesos] PRIMARY KEY  CLUSTERED 
	(
		[idaccion]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[acciones_menus] WITH NOCHECK ADD 
	CONSTRAINT [PK_acciones_menus] PRIMARY KEY  CLUSTERED 
	(
		[idaccionmenu]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[aulas] WITH NOCHECK ADD 
	CONSTRAINT [PK_aulas] PRIMARY KEY  CLUSTERED 
	(
		[idaula]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[centros] WITH NOCHECK ADD 
	CONSTRAINT [PK_centros] PRIMARY KEY  CLUSTERED 
	(
		[idcentro]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[comandos] WITH NOCHECK ADD 
	CONSTRAINT [PK_comandos_1] PRIMARY KEY  CLUSTERED 
	(
		[idcomando]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[comandos_eng] WITH NOCHECK ADD 
	CONSTRAINT [PK_comandos] PRIMARY KEY  CLUSTERED 
	(
		[idcomando]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[configuraciones] WITH NOCHECK ADD 
	CONSTRAINT [PK_configuraciones] PRIMARY KEY  CLUSTERED 
	(
		[idconfiguracion]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[entidades] WITH NOCHECK ADD 
	CONSTRAINT [PK_entidades] PRIMARY KEY  CLUSTERED 
	(
		[identidad]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[estatus] WITH NOCHECK ADD 
	CONSTRAINT [PK_estatus] PRIMARY KEY  CLUSTERED 
	(
		[idestatus]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[grupos] WITH NOCHECK ADD 
	CONSTRAINT [PK_grupos] PRIMARY KEY  CLUSTERED 
	(
		[idgrupo]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[gruposordenadores] WITH NOCHECK ADD 
	CONSTRAINT [PK_gruposordenadores] PRIMARY KEY  CLUSTERED 
	(
		[idgrupo]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[hardwares] WITH NOCHECK ADD 
	CONSTRAINT [PK_hardwares] PRIMARY KEY  CLUSTERED 
	(
		[idhardware]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[iconos] WITH NOCHECK ADD 
	CONSTRAINT [PK_iconos] PRIMARY KEY  CLUSTERED 
	(
		[idicono]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[idiomas] WITH NOCHECK ADD 
	CONSTRAINT [PK_idiomas] PRIMARY KEY  CLUSTERED 
	(
		[ididioma]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[imagenes] WITH NOCHECK ADD 
	CONSTRAINT [PK_imagenes] PRIMARY KEY  CLUSTERED 
	(
		[idimagen]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[imagenes_softincremental] WITH NOCHECK ADD 
	CONSTRAINT [PK_imagenes_softcombinacional] PRIMARY KEY  CLUSTERED 
	(
		[idimagen],
		[idsoftincremental]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[menus] WITH NOCHECK ADD 
	CONSTRAINT [PK_menus] PRIMARY KEY  CLUSTERED 
	(
		[idmenu]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[ordenador_imagen] WITH NOCHECK ADD 
	CONSTRAINT [PK_ordenador_imagen] PRIMARY KEY  CLUSTERED 
	(
		[idordenador],
		[particion]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[ordenadores] WITH NOCHECK ADD 
	CONSTRAINT [PK_ordenadores] PRIMARY KEY  CLUSTERED 
	(
		[idordenador]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[parametros] WITH NOCHECK ADD 
	CONSTRAINT [PK_paramatros] PRIMARY KEY  CLUSTERED 
	(
		[idparametro]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[particiones] WITH NOCHECK ADD 
	CONSTRAINT [PK_particiones] PRIMARY KEY  CLUSTERED 
	(
		[idparticion]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[perfileshard] WITH NOCHECK ADD 
	CONSTRAINT [PK_perfileshard] PRIMARY KEY  CLUSTERED 
	(
		[idperfilhard]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[perfileshard_perfilessoft] WITH NOCHECK ADD 
	CONSTRAINT [PK_perfileshard_perfilessoft] PRIMARY KEY  CLUSTERED 
	(
		[idphardidpsoft]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[perfilessoft] WITH NOCHECK ADD 
	CONSTRAINT [PK_perfilessoft] PRIMARY KEY  CLUSTERED 
	(
		[idperfilsoft]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[phard_psoft_softincremental] WITH NOCHECK ADD 
	CONSTRAINT [PK_phard_psoft_softincremental] PRIMARY KEY  CLUSTERED 
	(
		[idphardidpsoft],
		[idsoftincremental]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[procedimientos] WITH NOCHECK ADD 
	CONSTRAINT [PK_procedimientos] PRIMARY KEY  CLUSTERED 
	(
		[idprocedimiento]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[procedimientos_comandos] WITH NOCHECK ADD 
	CONSTRAINT [PK_procedimientos_comandos] PRIMARY KEY  CLUSTERED 
	(
		[idprocedimientocomando]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[programaciones] WITH NOCHECK ADD 
	CONSTRAINT [PK_programaciones] PRIMARY KEY  CLUSTERED 
	(
		[idprogramacion]
	)  ON [PRIMARY] 
;


ALTER TABLE [dbo].[servidoresdhcp] WITH NOCHECK ADD 
	CONSTRAINT [PK_servidoresdhcp] PRIMARY KEY  CLUSTERED 
	(
		[idservidordhcp]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[servidoresrembo] WITH NOCHECK ADD 
	CONSTRAINT [PK_servidoresrembo] PRIMARY KEY  CLUSTERED 
	(
		[idservidorrembo]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[softincremental_softwares] WITH NOCHECK ADD 
	CONSTRAINT [PK_softcombinacional_softwares] PRIMARY KEY  CLUSTERED 
	(
		[idsoftincremental],
		[idsoftware]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[softincrementales] WITH NOCHECK ADD 
	CONSTRAINT [PK_softcombinacional] PRIMARY KEY  CLUSTERED 
	(
		[idsoftincremental]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[softwares] WITH NOCHECK ADD 
	CONSTRAINT [PK_softwares] PRIMARY KEY  CLUSTERED 
	(
		[idsoftware]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[tareas] WITH NOCHECK ADD 
	CONSTRAINT [PK_tareas] PRIMARY KEY  CLUSTERED 
	(
		[idtarea]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[tipohardwares] WITH NOCHECK ADD 
	CONSTRAINT [PK_tipohardwares] PRIMARY KEY  CLUSTERED 
	(
		[idtipohardware]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[tiposoftwares] WITH NOCHECK ADD 
	CONSTRAINT [PK_tiposoftwares] PRIMARY KEY  CLUSTERED 
	(
		[idtiposoftware]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[tiposos] WITH NOCHECK ADD 
	CONSTRAINT [PK_Tiposos] PRIMARY KEY  CLUSTERED 
	(
		[idtiposo]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[trabajos] WITH NOCHECK ADD 
	CONSTRAINT [PK_trabajos] PRIMARY KEY  CLUSTERED 
	(
		[idtrabajo]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[trabajos_tareas] WITH NOCHECK ADD 
	CONSTRAINT [PK_trabajos_tareas] PRIMARY KEY  CLUSTERED 
	(
		[idtrabajotarea]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[universidades] WITH NOCHECK ADD 
	CONSTRAINT [PK_universidades] PRIMARY KEY  CLUSTERED 
	(
		[iduniversidad]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[urlimagesitems] WITH NOCHECK ADD 
	CONSTRAINT [PK_urlimagesitems] PRIMARY KEY  CLUSTERED 
	(
		[idurlimagesitems]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[usuarios] WITH NOCHECK ADD 
	CONSTRAINT [PK_usuarios] PRIMARY KEY  CLUSTERED 
	(
		[idusuario]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[hardwares] ADD 
	CONSTRAINT [DF_hardwares_idcentro] DEFAULT (0) FOR [idcentro],
	CONSTRAINT [DF_hardwares_grupoid] DEFAULT (0) FOR [grupoid]
;

ALTER TABLE [dbo].[menus] ADD 
	CONSTRAINT [DF_menus_idcentro] DEFAULT (0) FOR [idcentro],
	CONSTRAINT [DF_menus_grupoid] DEFAULT (0) FOR [grupoid]
;

ALTER TABLE [dbo].[ordenadores] ADD 
	CONSTRAINT [DF_ordenadores_idmenu] DEFAULT (0) FOR [idmenu],
	CONSTRAINT [DF_ordenadores_cache] DEFAULT (0) FOR [cache],
	CONSTRAINT [IX_ordenadores] UNIQUE  NONCLUSTERED 
	(
		[ip]
	)  ON [PRIMARY] 
;

ALTER TABLE [dbo].[perfileshard] ADD 
	CONSTRAINT [DF_perfileshard_idcentro] DEFAULT (0) FOR [idcentro],
	CONSTRAINT [DF_perfileshard_grupoid] DEFAULT (0) FOR [grupoid]
;

 CREATE  INDEX [IX_perfileshard_perfilessoft] ON [dbo].[perfileshard_perfilessoft]([idphardidpsoft]) ON [PRIMARY]
;

ALTER TABLE [dbo].[perfilessoft] ADD 
	CONSTRAINT [DF_perfilessoft_idcentro] DEFAULT (0) FOR [idcentro],
	CONSTRAINT [DF_perfilessoft_grupoid] DEFAULT (0) FOR [grupoid]
;

ALTER TABLE [dbo].[procedimientos] ADD 
	CONSTRAINT [DF_procedimientos_idcentro] DEFAULT (0) FOR [idcentro],
	CONSTRAINT [DF_procedimientos_grupoid] DEFAULT (0) FOR [grupoid]
;

ALTER TABLE [dbo].[programaciones] ADD 
	CONSTRAINT [DF_programaciones_minutos] DEFAULT (0) FOR [minutos],
	CONSTRAINT [DF_programaciones_segundos] DEFAULT (0) FOR [segundos],
	CONSTRAINT [DF_programaciones_minutos1] DEFAULT (0) FOR [minutosini],
	CONSTRAINT [DF_programaciones_minutosfin1] DEFAULT (0) FOR [minutosfin]
;

ALTER TABLE [dbo].[reservas] ADD 
	CONSTRAINT [DF_reservac_estatus] DEFAULT (0) FOR [idestatus]
;

ALTER TABLE [dbo].[softincrementales] ADD 
	CONSTRAINT [DF_softincrementales_grupoid] DEFAULT (0) FOR [grupoid]
;

ALTER TABLE [dbo].[softwares] ADD 
	CONSTRAINT [DF_softwares_idcentro] DEFAULT (0) FOR [idcentro],
	CONSTRAINT [DF_softwares_grupoid] DEFAULT (0) FOR [grupoid]
;

ALTER TABLE [dbo].[tareas] ADD 
	CONSTRAINT [DF_tareas_idcentro] DEFAULT (0) FOR [idcentro],
	CONSTRAINT [DF_tareas_grupoid] DEFAULT (0) FOR [grupoid]
;

ALTER TABLE [dbo].[trabajos] ADD 
	CONSTRAINT [DF_trabajos_idcentro] DEFAULT (0) FOR [idcentro],
	CONSTRAINT [DF_trabajos_grupoid] DEFAULT (0) FOR [grupoid]
;

ALTER TABLE [dbo].[usuarios] ADD 
	CONSTRAINT [DF_usuarios_idcentro] DEFAULT (0) FOR [idambito]
;

ALTER TABLE [dbo].[imagenes] ADD 
	CONSTRAINT [FK_imagenes_perfilessoft] FOREIGN KEY 
	(
		[idperfilsoft]
	) REFERENCES [dbo].[perfilessoft] (
		[idperfilsoft]
	)
;

ALTER TABLE [dbo].[imagenes_softincremental] ADD 
	CONSTRAINT [FK_imagenes_softcombinacional_imagenes] FOREIGN KEY 
	(
		[idimagen]
	) REFERENCES [dbo].[imagenes] (
		[idimagen]
	),
	CONSTRAINT [FK_imagenes_softcombinacional_softcombinacional] FOREIGN KEY 
	(
		[idsoftincremental]
	) REFERENCES [dbo].[softincrementales] (
		[idsoftincremental]
	)
;

ALTER TABLE [dbo].[ordenador_imagen] ADD 
	CONSTRAINT [FK_ordenador_imagen_imagenes] FOREIGN KEY 
	(
		[idimagen]
	) REFERENCES [dbo].[imagenes] (
		[idimagen]
	),
	CONSTRAINT [FK_ordenador_imagen_ordenadores] FOREIGN KEY 
	(
		[idordenador]
	) REFERENCES [dbo].[ordenadores] (
		[idordenador]
	)
;

ALTER TABLE [dbo].[perfileshard_hardwares] ADD 
	CONSTRAINT [FK_perfileshard_hardwares_perfileshard] FOREIGN KEY 
	(
		[idperfilhard]
	) REFERENCES [dbo].[perfileshard] (
		[idperfilhard]
	)
;

ALTER TABLE [dbo].[perfileshard_perfilessoft] ADD 
	CONSTRAINT [FK_perfileshard_perfilessoft_perfileshard] FOREIGN KEY 
	(
		[idperfilhard]
	) REFERENCES [dbo].[perfileshard] (
		[idperfilhard]
	),
	CONSTRAINT [FK_perfileshard_perfilessoft_perfilessoft] FOREIGN KEY 
	(
		[idperfilsoft]
	) REFERENCES [dbo].[perfilessoft] (
		[idperfilsoft]
	)
;

ALTER TABLE [dbo].[perfilessoft_softwares] ADD 
	CONSTRAINT [FK_perfilessoft_softwares_perfilessoft] FOREIGN KEY 
	(
		[idperfilsoft]
	) REFERENCES [dbo].[perfilessoft] (
		[idperfilsoft]
	),
	CONSTRAINT [FK_perfilessoft_softwares_softwares] FOREIGN KEY 
	(
		[idsoftware]
	) REFERENCES [dbo].[softwares] (
		[idsoftware]
	)
;

ALTER TABLE [dbo].[phard_psoft_softincremental] ADD 
	CONSTRAINT [FK_phard_psoft_softcombinacional_perfileshard_perfilessoft] FOREIGN KEY 
	(
		[idphardidpsoft]
	) REFERENCES [dbo].[perfileshard_perfilessoft] (
		[idphardidpsoft]
	),
	CONSTRAINT [FK_phard_psoft_softcombinacional_softcombinacional] FOREIGN KEY 
	(
		[idsoftincremental]
	) REFERENCES [dbo].[softincrementales] (
		[idsoftincremental]
	)
;

ALTER TABLE [dbo].[softincremental_softwares] ADD 
	CONSTRAINT [FK_softcombinacional_softwares_softcombinacional] FOREIGN KEY 
	(
		[idsoftincremental]
	) REFERENCES [dbo].[softincrementales] (
		[idsoftincremental]
	)
;

INSERT INTO universidades VALUES ('Universidad ...','');

INSERT INTO usuarios VALUES('_usuario_','_pasguor_','_usuario_','',0,1,1);

INSERT INTO idiomas VALUES('Espaol','esp');
INSERT INTO idiomas VALUES('Ingles','eng');
INSERT INTO idiomas VALUES('Catalan','cat');

INSERT INTO tiposos VALUES('Windows 98, Millenium','Win98','Windows 98 SE','FAT32');
INSERT INTO tiposos VALUES('Windows 2000 (Home,Profesional,Server)','Win2K','Windows 2000','NTFS');
INSERT INTO tiposos VALUES('Windows XP (Home,Profesional)','WinXP','Windows XP','NTFS');
INSERT INTO tiposos VALUES('Linux','Linux','Linux','EXT2');
INSERT INTO tiposos VALUES('Windows NT','WinNT','Windows NT','NTFS');
INSERT INTO tiposos VALUES('Windows 2003 Server','W2003','Windows 2003','NTFS');
INSERT INTO tiposos VALUES('MsDos, Windows 95','MsDos','MSDOS','BIGDOS');

INSERT INTO tiposoftwares VALUES('Sistemas Operativos','../images/iconos/so.gif');
INSERT INTO tiposoftwares VALUES('Aplicaciones','../images/iconos/aplicaciones.gif');
INSERT INTO tiposoftwares VALUES('Archivos','../images/iconos/archivos.gif');

INSERT INTO comandos VALUES('Arrancar','Arrancar','Arrancar','Arrancar','Arrancar','Arrancar','','../comandos/Arrancar.php','../comandos/Arrancar.php','../comandos/Arrancar.php','../comandos/Arrancar.php','../comandos/Arrancar.php',31,'iph','nfn;iph;mac','',1,'1');
INSERT INTO comandos VALUES('Apagar','Apagar','Apagar','Apagar','Apagar','Apagar','','../comandos/Apagar.php','../comandos/Apagar.php','../comandos/Apagar.php','../comandos/Apagar.php','../comandos/Apagar.php',31,'iph','nfn;iph','',1,'2');
INSERT INTO comandos VALUES('Restaurar Imagen','','','RestaurarImagen','RestaurarImagen','RestaurarImagen','','','','../comandos/RestaurarImagenAula.php','../comandos/RestaurarImagenGrupoOrdenadores.php','../comandos/RestaurarImagenOrdenador.php',28,'idi;par;iph','nfn;iph;par;idi;ifs;ifh;nem;idc;ida;swr','',1,'2');
INSERT INTO comandos VALUES('Generar Perfil Software','','','','','CrearPerfilSoftware','','','','','','../comandos/CrearPerfilSoftware.php',16,'ifs;ifh;par','nfn;iph;par;ifs;ifh;nem;','',1,'2');
INSERT INTO comandos VALUES('Reiniciar','Reiniciar','Reiniciar','Reiniciar','Reiniciar','Reiniciar','','../comandos/Reiniciar.php','../comandos/Reiniciar.php','../comandos/Reiniciar.php','../comandos/Reiniciar.php','../comandos/Reiniciar.php',31,'iph','nfn;iph','',1,'2');
INSERT INTO comandos VALUES('Tomar Configuracion','TomaConfiguracion','TomaConfiguracion','TomaConfiguracion','TomaConfiguracion','TomaConfiguracion','','../comandos/TomaConfiguracion.php','../comandos/TomaConfiguracion.php','../comandos/TomaConfiguracion.php','../comandos/TomaConfiguracion.php','../comandos/TomaConfiguracion.php',31,'iph','nfn;iph','',1,'2');
INSERT INTO comandos VALUES('Ejecutar Script','EjecutarScript','EjecutarScript','EjecutarScript','EjecutarScript','EjecutarScript','','../comandos/EjecutarScripts.php','../comandos/EjecutarScripts.php','../comandos/EjecutarScripts.php','../comandos/EjecutarScripts.php','../comandos/EjecutarScripts.php',31,'iph;tis;dcr;scp','nfn;iph;tis;dcr;scp','',1,'2');
INSERT INTO comandos VALUES('Configurar','','','Configurar','Configurar','Configurar','','','','../comandos/Configurar.php','../comandos/Configurar.php','../comandos/Configurar.php',28,'iph;ppa;lpa;hdc','nfn;iph;ppa;lpa;hdc','',1,'2');
INSERT INTO comandos VALUES('Particionar y Formatear','','','ParticionaryFormatear','ParticionaryFormatear','ParticionaryFormatear','','','','../comandos/particionaryformatear.php','../comandos/particionaryformatear.php','../comandos/particionaryFormatear.php',28,'iph;ppa;lpa;hdc','nfn;iph;ppa;lpa;hdc','',1,'2');
INSERT INTO comandos VALUES('Generar software Incremental','','','','','CrearSoftwareIncremental','','','','','','../comandos/CrearSoftIncremental.php',16,'ifs;ifh;par;icr','nfn;iph;par;ifs;ifh;nem;icr','',1,'2');
INSERT INTO comandos VALUES('Activar Rembo Off Line','RemboOffline','RemboOffline','RemboOffline','RemboOffline','RemboOffline','','../comandos/RemboOffline.php','../comandos/RemboOffline.php','../comandos/RemboOffline.php','../comandos/RemboOffline.php','../comandos/RemboOffline.php',31,'iph','nfn;iph','',1,'2');

INSERT INTO parametros VALUES ('iph','Ordenadores','','','',0);
INSERT INTO parametros VALUES ('nfn','Nombre de la funcin a ejecutar en el servidor o en el cliente rembo','','','',0);
INSERT INTO parametros VALUES ('eje','Ejecutor del comando (servidor o cliente rembo)','','','',0);
INSERT INTO parametros VALUES ('par','Particin','','','',0);
INSERT INTO parametros VALUES ('ifs','Perfil Software','idperfilsoft','perfilessoft','descripcion',1);
INSERT INTO parametros VALUES ('ifh','Perfil Hardware','idperfilhard','perfileshard','descripcion',1);
INSERT INTO parametros VALUES ('nem','Nemnico','','','',0);
INSERT INTO parametros VALUES ('idc','Centro','idcentro','centros','',1);
INSERT INTO parametros VALUES ('ida','Aula','idaula','aulas','nombreaula',1);
INSERT INTO parametros VALUES ('idi','Imagen','idimagen','imagenes','descripcion',1);
INSERT INTO parametros VALUES ('mac','Direccin Mac','','','',0);
INSERT INTO parametros VALUES ('cmd','Identificador de un comando dentro de una tarea','idtareacomando','tareas_comando','',1);
INSERT INTO parametros VALUES ('ppa','Particiones primarias','','','',0);
INSERT INTO parametros VALUES ('lpa','Particiones Lgicas','','','',0);
INSERT INTO parametros VALUES ('hdc','Particiones a formatear','','','',0);
INSERT INTO parametros VALUES ('tis','Ttulo del Script','','','',0);
INSERT INTO parametros VALUES ('scp','Cdigo rembo-C','','','',0);
INSERT INTO parametros VALUES ('dcr','Descripcin','','','',0);
INSERT INTO parametros VALUES ('icr','Software Incremental','idsoftincremental','softincrementales','descripcion',1);
INSERT INTO parametros VALUES ('scp','Cdigo Rembo-C','','','',0);


INSERT INTO iconos VALUES('vga.gif',1,'Tarjeta grfica');
INSERT INTO iconos VALUES('nic.gif',1,'Tarjeta de Red ');
INSERT INTO iconos VALUES('placabase.gif',1,'Placas base');
INSERT INTO iconos VALUES('tsonido.gif',1,'Tarjeta de sonido');
INSERT INTO iconos VALUES('camweb.gif',1,'Cmara web');
INSERT INTO iconos VALUES('logow98.pcx',2,'Logo Windows 98');
INSERT INTO iconos VALUES('logoredhat.pcx',2,'Logo Red Hat');
INSERT INTO iconos VALUES('logow2000.pcx',2,'logo Windows 2000');
INSERT INTO iconos VALUES('logoXP.pcx',2,'Logo Windows XP');
INSERT INTO iconos VALUES('logodebian.pcx',2,'Logo Debian');
INSERT INTO iconos VALUES('particionar.pcx',2,'Particionar');
INSERT INTO iconos VALUES('ordenadoroff.pcx',2,'Ordenador apagado');
INSERT INTO iconos VALUES('ordenadoron.pcx',2,'Ordenador encendido');
INSERT INTO iconos VALUES('rembooffline.pcx',2,'Rembo Offline');
INSERT INTO iconos VALUES('logolinux.pcx',2,'Logo General de Linux');
INSERT INTO iconos VALUES('lock64.pcx',2,'candado lock');

INSERT INTO estatus VALUES ('P.D.I. ( Profesor)');
INSERT INTO estatus VALUES ('P.A.S. ');
INSERT INTO estatus VALUES ('Doctor');
INSERT INTO estatus VALUES ('Alumno');
INSERT INTO estatus VALUES ('Otros');