// *************************************************************************************************************************************************
//	Libreria de scripts de Javascript
// Copyright 2003-2005  Jos Manuel Alonso. Todos los derechos reservados.
// Fecha Creacin:2003-2004
// Fecha ltima modificacin: Noviembre-2005
// Nombre del fichero: aulas.js
// Descripcin : 
//		Este fichero implementa las funciones javascript del fichero aulas.php
// *************************************************************************************************************************************************
var corte_currentNodoOrd=null;
//________________________________________________________________________________________________________
//	
// Esta funcin inserta un nuevo grupo de ordenadores
//________________________________________________________________________________________________________
function insertar_gruposordenadores(){
	var identificador=toma_identificador(currentNodo)
	var tipoidentificador=toma_sufijo(currentNodo)
	if(tipoidentificador==LITAMBITO_AULAS) // Nuevo grupo de ordenador hijo de un aula
		var wurl="../gestores/gestor_gruposordenadores.php?opcion="+op_alta+"&grupoid=0"+"&idaula="+identificador+"&nombregrupoordenador=Nuevo nombre"
	if(tipoidentificador==LITAMBITO_GRUPOSORDENADORES) // Nuevo grupo de ordendor hijo de un grupo  de ordenadores
		var wurl="../gestores/gestor_gruposordenadores.php?opcion="+op_alta+"&grupoid="+identificador+"&idaula=0"+"&nombregrupoordenador=Nuevo nombre"
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	ifr.src=wurl; // LLama a la pgina gestora
}
//________________________________________________________________________________________________________
//	
//	Devuelve el resultado de insertar un nuevo grupo de ordenadores en la base de datos a traves del
// IFRAME
// Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin (true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- nwid: Identificador asignado al nuevo registro
//			- tablanodo: Tabla nodo generada para el nuevo registro (rbol de un slo un elemento)
//________________________________________________________________________________________________________
function resultado_insertar_gruposordenadores(resul,descrierror,nwid,tablanodo){
	reset_contextual(-1,-1) // Oculta menu contextual
	if (!resul){ // Ha habido algn error en la insercin
		alert(descrierror)
		return
	}
	insertando_nodo(tablanodo);
	desresalta(currentNodo)
	currentNodo=document.getElementById(LITAMBITO_GRUPOSORDENADORES+"-"+nwid);
	editar_nodo(currentNodo) // Edita el nodo para modificar el nombre
}
//________________________________________________________________________________________________________
//	
//	Esta funcin modifica el nombre de un nodo de grupos de aulas 
//________________________________________________________________________________________________________
function modificar_gruposordenadores(){
	reset_contextual(-1,-1) 
	editar_nodo(currentNodo)
}
//________________________________________________________________________________________________________
//	
//		Devuelve el resultado de modificar el literal de un nodo en la base de datos
//		a traves del IFRAME
//		Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro que se quiso modificar
//________________________________________________________________________________________________________
function resultado_modificar_gruposordenadores(resul,descrierror,id){
	if (!resul){
		alert(descrierror)
	}
	alert(CTbMsg[2]);
}
//________________________________________________________________________________________________________
//	
//		Esta funcin elimina un grupo de ordenadores 
//________________________________________________________________________________________________________
function eliminar_gruposordenadores(){
	reset_contextual(-1,-1)
	if (TieneHijos(currentNodo)){
		var resul=window.confirm(CTbMsg[0]);
		if (!resul)return
	}
	else{
		var resul=window.confirm(CTbMsg[1]);
		if (!resul)return
	}
	identificador=toma_identificador(currentNodo)
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	wurl="../gestores/gestor_gruposordenadores.php?opcion="+op_eliminacion+"&idgrupo="+identificador
	ifr.src=wurl; // LLama a la pgina para eliminar
}
//________________________________________________________________________________________________________
//	
//	Devuelve el resultado de eliminar un grupo de ordenadores en la base de datos traves del 
//  IFRAME
//		Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de eliminacin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro
//________________________________________________________________________________________________________
function resultado_eliminar_gruposordenadores(resul,descrierror,id){
	if (!resul){
		alert(descrierror)
		return
	}
	eliminar_nodo(currentNodo) // Elimina el nodo del rbol
	alert(CTbMsg[3]);
}
//________________________________________________________________________________________________________
//	
//	Muestra el formulario de captura de datos de aulas para insertar ( Si esta cuelga directamente del centro)
//________________________________________________________________________________________________________
function insertaraula(l,t,w,h,pages){
	reset_contextual(-1,-1) // Oculta menu contextual
	 identificador=0
	var whref=pages+"?opcion="+op_alta+"&grupoid="+identificador
	var opciones = "dialogWidth:"+w+"px;dialogHeight:"+h+"px;"
    opciones += "resizable:yes;scroll:no;status:no;";
    opciones += "dialogLeft:"+l+"px;dialogTop:"+t+"px";
	retorno=window.showModalDialog(whref,"",opciones);
	if (retorno!=null){
		var splitRetorno=retorno.split("\t") 
		var resul=splitRetorno[0] 
		var descrierror=splitRetorno[1]
		var nwid=splitRetorno[2] 
		var tablanodo=splitRetorno[3]
		if (!resul){ // Ha habido algn error en la insercin
			alert(descrierror)
			return
		}
		alert(CTbMsg[4]);
		insertando_nodo(tablanodo);
	}
}
//________________________________________________________________________________________________________
//	
//	Inserta un grupo de aulas que cuelga del nodo de Centros
//________________________________________________________________________________________________________
function insertargruposaulas(tipo,literaltipo){
	identificador=0
	desresalta(currentNodo)
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	var wurl="../gestores/gestor_grupos.php?opcion="+op_alta+"&grupoid="+identificador+"&nombregrupo=Nuevo nombre"+"&tipo="+tipo+"&literaltipo="+literaltipo
	currentLitTipo=literaltipo;
	ifr.src=wurl; // LLama a la pgina gestora
}
//________________________________________________________________________________________________________
//	
// Esta funcin muestra el formulario de captura de datos de un ordenador para introducirlos 
//________________________________________________________________________________________________________
function insertar_ordenadores(swsufijo){
	reset_contextual(-1,-1)
	var identificador=toma_identificador(currentNodo)
	if (!identificador) identificador=0
	var swsf=parseInt(swsufijo);
	if (swsf==0) // Nuevo ordenador hijo de un grupo de ordenadores
		var whref="../propiedades/propiedades_ordenadores.php?opcion="+op_alta+"&grupoid="+identificador+"&idaula=0"
	else // Nuevo ordenador hijo de un aula
		var whref="../propiedades/propiedades_ordenadores.php?opcion="+op_alta+"&grupoid=0"+"&idaula="+identificador
	var opciones = "dialogWidth:480px;dialogHeight:400px;"
    opciones += "resizable:yes;scroll:no;status:no;";
    opciones += "dialogLeft:170px;dialogTop:100px";
	retorno=window.showModalDialog(whref,"",opciones);
	if (retorno!=null){
		var splitRetorno=retorno.split("\t") 
		var resul=splitRetorno[0] 
		var descrierror=splitRetorno[1]
		var nwid=splitRetorno[2] 
		var tablanodo=splitRetorno[3]
		if (!resul){ // Ha habido algn error en la insercin
			alert(descrierror)
			return
		}
		alert(CTbMsg[4]);
		insertando_nodo(tablanodo);
	}
}
//________________________________________________________________________________________________________
//	
//		Copia al buffer un nodo de ordenador para moverlo posteriormente
//________________________________________________________________________________________________________
function mover_ordenador(){
	reset_contextual(-1,-1)
	corte_currentNodoOrd=currentNodo
}
//________________________________________________________________________________________________________
//	
//		Esta funcin cambia de sitio un ordenador desde un aula a otro aula o bien adentro de un 
//  grupo de ordenadores dentro del mismo aula
//________________________________________________________________________________________________________
function colocar_ordenador(swsufijo){
	reset_contextual(-1,-1)
	if (!corte_currentNodoOrd) {
		alert(CTbMsg[7]);
		return
	}
	var identificador=toma_identificador(currentNodo)
	var sufijonodo=toma_sufijo(currentNodo)
	var identificador_ordenador=toma_identificador(corte_currentNodoOrd)
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	var swsf=parseInt(swsufijo)
	if (swsf==0) // El ordenador se mueve a un grupo de ordenadores
		var wurl="../gestores/gestor_ordenadores.php?opcion="+op_movida+"&grupoid="+identificador+"&idordenador="+identificador_ordenador
	else // El ordenador se mueve a un aula
		var wurl="../gestores/gestor_ordenadores.php?opcion="+op_movida+"&idaula="+identificador+"&idordenador="+identificador_ordenador
	ifr.src=wurl; // LLama a la pgina para eliminar
}
//________________________________________________________________________________________________________
//	
//		Devuelve el resultado de cambiar un ordenador de sitio
//		Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de eliminacin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- nwid: Identificador del registro
//________________________________________________________________________________________________________
function resultado_cambiar_ordenadores(resul,descrierror,id){
	if (!resul){
		alert(descrierror)
		return
	}
	var currentNodoId=currentNodo.id // Guarda identificador del nodo actual
	var tbinfo=info_nodo(corte_currentNodoOrd); // Recupera informacin de la tabla del nodo
	var swhijos=TieneHijos(currentNodo); // Comprueba si el nodo actual tiene hijos
	if (swhijos){ // Si los tiene modifica la imagen de signo del nodo hijo
			patron = new RegExp("nada_c","gi") 
			tbinfo=tbinfo.replace(patron,"nada_t"); 
	}else{
			patron = new RegExp("nada_t","gi") 
			tbinfo=tbinfo.replace(patron,"nada_c"); 
	}
	currentNodo=document.getElementById(corte_currentNodoOrd.id); // Cambia el nodo actual por el " a eliminar" 
	eliminar_nodo(corte_currentNodoOrd) // Elimina
	desresalta(currentNodo)
	currentNodo=document.getElementById(currentNodoId); // Vuelve a recuperar el nodo actual 
	resalta(currentNodo)
	insertar_nodo(currentNodo,tbinfo)
	corte_currentNodoOrd=null;
}
//________________________________________________________________________________________________________
//	
//	Refresca la visualizacin del estado de los ordenadores(Clientes rembo y clientes Windows o Linux) 
//________________________________________________________________________________________________________
function actualizar_ordenadores(){
	reset_contextual(-1,-1) // Oculta menu contextual
	var resul=window.confirm(TbMsg[1]);
	if (!resul)return
	var idambito=toma_identificador(currentNodo)
	var litambito=toma_sufijo(currentNodo)
	var whref="actualizar.php?litambito="+litambito+"&idambito="+idambito
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	ifr.src=whref; // LLama a la pgina gestora
}
//________________________________________________________________________________________________________
//	
//	Conmuta el estado de los ordenadores(Modo Administrado reinicindolos) 
//________________________________________________________________________________________________________
function conmutar_ordenadores(){
	reset_contextual(-1,-1) // Oculta menu contextual
	var resul=window.confirm(TbMsg[4]);
	if (!resul)return
	var idambito=toma_identificador(currentNodo)
	var litambito=toma_sufijo(currentNodo)
	var whref="conmutar.php?litambito="+litambito+"&idambito="+idambito
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	ifr.src=whref; // LLama a la pgina gestora
}
//________________________________________________________________________________________________________
//	
//	Resetea la visualizacin del estado de los ordenadores(Clientes rembo y clientes Windows o Linux) 
//________________________________________________________________________________________________________
function purgar_ordenadores(){
	reset_contextual(-1,-1) // Oculta menu contextual
	var resul=window.confirm(TbMsg[2]);
	if (!resul)return
	var idambito=toma_identificador(currentNodo)
	var litambito=toma_sufijo(currentNodo)
	var whref="purgar.php?litambito="+litambito+"&idambito="+idambito
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	ifr.src=whref; // LLama a la pgina gestora
}
//________________________________________________________________________________________________________
//	
//	Muestra estatus de los ordenadores 
//________________________________________________________________________________________________________
function ver_aulas(){
	reset_contextual(-1,-1) // Oculta menu contextual
	var idambito=toma_identificador(currentNodo)
	var litambito=toma_sufijo(currentNodo)
	var nombreambito=currentNodo.innerHTML
	var whref="aula.php?litambito="+litambito+"&idambito="+idambito+"&nombreambito="+nombreambito
	 window.open(whref,"frame_contenidos")
	}
//________________________________________________________________________________________________________
//	
//  Enva un comando para su ejecucin o incorporacin a procedimientos o tareas
//________________________________________________________________________________________________________
function confirmarcomando(ambito,idc,interac){
	reset_contextual(-1,-1); // Oculta menu contextual
	var identificador=idc // identificador del comando
	var tipotrama='CMD'
	var idambito=toma_identificador(currentNodo) // identificador del ambito
	var nombreambito=toma_infonodo(currentNodo) // nombre del mbito
	if(nombreambito=="")
		var  nombreambito=currentNodo.value // nombre del mbito desde pa pgina aula.php
	var wurl="../principal/dialogostramas.php?identificador="+identificador+"&tipotrama="+tipotrama+"&ambito="+ambito+"&idambito="+idambito+"&nombreambito="+nombreambito
	if(interac==0){
	   ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
		ifr.src=wurl; // LLama a la pgina gestora
	}
	else
		window.open(wurl,"frame_contenidos")
}
//________________________________________________________________________________________________________
//	
//  Enva un comando para su ejecucin o incorporacin a procedimientos o tareas
//________________________________________________________________________________________________________
function confirmarprocedimiento(ambito){
	reset_contextual(-1,-1); // Oculta menu contextual
	var idambito=toma_identificador(currentNodo) // identificador del ambito
	var nombreambito=toma_infonodo(currentNodo) // nombre del mbito
	if(nombreambito=="")
		var  nombreambito=currentNodo.value // nombre del mbito desde pa pgina aula.php
	var wurl="../varios/ejecutarprocedimientos.php?ambito="+ambito+"&idambito="+idambito+"&nombreambito="+nombreambito
	window.open(wurl,"frame_contenidos")}
//________________________________________________________________________________________________________
//	
//	Muestra la cola de acciones
//________________________________________________________________________________________________________
function cola_acciones(tipoaccion){
	reset_contextual(-1,-1); // Oculta menu contextual
	var ambito;
	var litambito=toma_sufijo(currentNodo) // ambito

	switch(litambito){
		case LITAMBITO_CENTROS :
			ambito=AMBITO_CENTROS;
			break;
		case LITAMBITO_GRUPOSAULAS :
			ambito=AMBITO_GRUPOSAULAS;
			break;
		case LITAMBITO_AULAS :
			ambito=AMBITO_AULAS;
			break;
		case LITAMBITO_GRUPOSORDENADORES :
			ambito=AMBITO_GRUPOSORDENADORES;
			break;
		case LITAMBITO_ORDENADORES :
			ambito=AMBITO_ORDENADORES;
			break;
	}
	var idambito=toma_identificador(currentNodo) // identificador del mbito
	var nombreambito=toma_infonodo(currentNodo) // nombre del ordenador
	if(nombreambito=="")
		var  nombreambito=currentNodo.value // nombre del mbito desde pgina aula.php
	var wurl="../principal/colasacciones.php?ambito="+ambito+"&idambito="+idambito+"&nombreambito="+nombreambito+"&tipocola="+tipoaccion
	window.open(wurl,"frame_contenidos")
}
//________________________________________________________________________________________________________
//	
//	Muestra la cola de reservas
//________________________________________________________________________________________________________
function cola_reservas(tiporeserva){
	reset_contextual(-1,-1); // Oculta menu contextual
	var ambito;
	var litambito=toma_sufijo(currentNodo) // ambito

	switch(litambito){
		case LITAMBITO_CENTROS :
			ambito=AMBITO_CENTROS;
			break;
		case LITAMBITO_GRUPOSAULAS :
			ambito=AMBITO_GRUPOSAULAS;
			break;
		case LITAMBITO_AULAS :
			ambito=AMBITO_AULAS;
			break;
		case LITAMBITO_GRUPOSORDENADORES :
			ambito=AMBITO_GRUPOSORDENADORES;
			break;
		case LITAMBITO_ORDENADORES :
			ambito=AMBITO_ORDENADORES;
			break;
	}
	var idambito=toma_identificador(currentNodo) // identificador del mbito
	var nombreambito=toma_infonodo(currentNodo) // nombre del ordenador
	if(nombreambito=="")
		var  nombreambito=currentNodo.value // nombre del mbito desde pgina aula.php
	var wurl="../principal/programacionesaulas.php?ambito="+ambito+"&idambito="+idambito+"&nombreambito="+nombreambito+"&tipocola="+tiporeserva
	window.open(wurl,"frame_contenidos")
}
//________________________________________________________________________________________________________
//	
// Muestra el formulario de captura de datos de un ordenador estandar
//________________________________________________________________________________________________________
function ordenador_estandar(){
	reset_contextual(-1,-1) // Oculta menu contextual
	var identificador=toma_identificador(currentNodo)
	var nombreaula=toma_infonodo(currentNodo)
	var whref="../propiedades/propiedades_ordenadorestandar.php?idaula="+identificador+"&nombreaula="+nombreaula
	var opciones = "dialogWidth:480px;dialogHeight:490px;"
    opciones += "resizable:yes;scroll:no;status:no;";
    opciones += "dialogLeft:170px;dialogTop:70px";
	retorno=window.showModalDialog(whref,"",opciones);
	if (retorno!=null){
		var splitRetorno=retorno.split("\t") 
		var resul=splitRetorno[0] 
		var descrierror=splitRetorno[1]
		if (!resul){ // Ha habido algn error
			alert(descrierror)
			return
		}
		alert(TbMsg[0]);
	}
}
//________________________________________________________________________________________________________
//	
//	Muestra la configuracin de los ordenadores
//	Parmetros:
//			- ambito: mbito que se quiere investigar
//________________________________________________________________________________________________________
function configuraciones(ambito){
		reset_contextual(-1,-1) // Oculta menu contextual
		var identificador=toma_identificador(currentNodo);
		switch(ambito){
			case AMBITO_AULAS:
					wurl="configuracionaula.php?idaula="+identificador
					 window.open(wurl,"frame_contenidos")
					break;
			case AMBITO_GRUPOSORDENADORES:
					wurl="configuraciongrupoordenador.php?idgrupo="+identificador
					 window.open(wurl,"frame_contenidos")
					break;
			case AMBITO_ORDENADORES:
					wurl="configuracionordenador.php?idordenador="+identificador
					 window.open(wurl,"frame_contenidos")
					break;
		}
}
//________________________________________________________________________________________________________
//	
//	Toma objeto pulsado
//________________________________________________________________________________________________________
function TomaObj(o,sw){
	currentNodo=o;
	if(botonraton==1 && sw!=null)
		ver_aulas();
}
//___________________________________________________________________________________________________________
//	
//	Muestra formulario para incorporar ordenadores a travs de un fichero de configuracin de un servidor dhcp
//___________________________________________________________________________________________________________
function incorporarordenador(){
	reset_contextual(-1,-1)
	var idaula=toma_identificador(currentNodo)
	var nombreaula=toma_infonodo(currentNodo)
	var whref="../varios/incorporaordenadores.php?idaula="+idaula+"&nombreaula="+nombreaula
	window.open(whref,"frame_contenidos")
}
	