// *************************************************************************************************************************************************
//	Libreria de scripts de Javascript
// Copyright 2003-2005  Jos Manuel Alonso. Todos los derechos reservados.
// Fecha Creacin:2003-2004
// Fecha ltima modificacin: Marzo-2005
// Nombre del fichero: comunes.js
// Descripcin : 
//		Este fichero implementa funciones de uso comn a varios fichechos
// *************************************************************************************************************************************************
//________________________________________________________________________________________________________
//	
//	Inserta un nuevo grupo 
//________________________________________________________________________________________________________
function insertar_grupos(tipo,literaltipo,idu){
	var identificador=toma_identificador(currentNodo)
	if(identificador==null) identificador=0
	desresalta(currentNodo)
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	var wurl="../gestores/gestor_grupos.php?opcion="+op_alta+"&grupoid="+identificador+"&nombregrupo=Nuevo nombre"+"&tipo="+tipo+"&literaltipo="+literaltipo
	if(idu!=null && idu==1)
			wurl+="&iduniversidad="+idu
	currentLitTipo=literaltipo;
	ifr.src=wurl; // LLama a la pgina gestora
}
//________________________________________________________________________________________________________
//	
//	Devuelve el resultado de insertar un nuevo grupo
// Parmetros:
//			- resul: resultado de la operacin(true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- nwid: Identificador asignado al nuevo registro
//			- tablanodo: Tabla nodo generada para el nuevo registro (rbol de un slo un elemento)
//________________________________________________________________________________________________________
function resultado_insertar_grupos(resul,descrierror,nwid,tablanodo){
	reset_contextual(-1,-1) // Oculta menu contextual
	if (!resul){ // Ha habido algn error en la insercin
		alert(descrierror)
		return
	}
	insertando_nodo(tablanodo);
	currentNodo=document.getElementById(currentLitTipo+"-"+nwid);
	editar_nodo(currentNodo) // Edita el nodo para modificar el nombre
}
//________________________________________________________________________________________________________
//	
//	Modifica el nombre de un grupo
//________________________________________________________________________________________________________
function modificar_grupos(){
	reset_contextual(-1,-1)  // Oculta menu contextual
	editar_nodo(currentNodo)
}
//________________________________________________________________________________________________________
//	
//	Devuelve el resultado de modificar el nombre de un grupo de aulas
//	Parmetros:
//			- resul: resultado de la operacin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro que se quiso modificar
//________________________________________________________________________________________________________
function resultado_modificar_grupos(resul,descrierror,id){
	if (!resul){
		alert(descrierror)
	}
	alert(CTbMsg[2]);
}
//________________________________________________________________________________________________________
//	
//	Elimina un grupo
//________________________________________________________________________________________________________
function eliminar_grupos(){
	reset_contextual(-1,-1) // Oculta menu contextual
	if (TieneHijos(currentNodo)){
		var resul=window.confirm(CTbMsg[0]);
		if (!resul)return
	}
	else{
		var resul=window.confirm(CTbMsg[1]);
		if (!resul)return
	}
	identificador=toma_identificador(currentNodo)
	var literaltipo=toma_sufijo(currentNodo)
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	wurl="../gestores/gestor_grupos.php?opcion="+op_eliminacion+"&idgrupo="+identificador+"&literaltipo="+literaltipo
	ifr.src=wurl; // LLama a la pgina gestora
}
//________________________________________________________________________________________________________
//	
//	Devuelve el resultado de eliminar un grupo
//	Parmetros:
//			- resul: resultado de la operacin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro
//________________________________________________________________________________________________________
function resultado_eliminar_grupos(resul,descrierror,id){
	if (!resul){
		alert(descrierror)
		return
	}
	eliminar_nodo(currentNodo) // Elimina el nodo del rbol
	alert(CTbMsg[3]);
}
//________________________________________________________________________________________________________
//	
//	Muestra el formulario de captura de datos para insertar
//________________________________________________________________________________________________________
function insertar(l,t,w,h,pages,idu){
	reset_contextual(-1,-1) // Oculta menu contextual
	var identificador=toma_identificador(currentNodo)
	if(identificador==null) identificador=0
	var auxsplit= pages.split('?'); // La variable pages lleva parametros
	if(auxsplit[1]!=null)
		var whref=pages+"&";
	else
		var whref=pages+"?";

	 whref+="opcion="+op_alta+"&grupoid="+identificador
	if(idu!=null && idu==1)
			whref+="&iduniversidad="+idu
	if(idu!=null && idu==2)
			whref+="&identidad="+identificador
	if(idu!=null && idu==3)
			whref+="&idambito="+identificador

	 var opciones = "dialogWidth:"+w+"px;dialogHeight:"+h+"px;"
    opciones += "resizable:yes;scroll:no;status:no;";
    opciones += "dialogLeft:"+l+"px;dialogTop:"+t+"px";
	retorno=window.showModalDialog(whref,"",opciones);
	if (retorno!=null){
		var splitRetorno=retorno.split("\t") 
		var resul=splitRetorno[0] 
		var descrierror=splitRetorno[1]
		var nwid=splitRetorno[2] 
		var tablanodo=splitRetorno[3]
		if (!resul){ // Ha habido algn error en la insercin
			alert(descrierror)
			return
		}
		alert(CTbMsg[4]);
		insertando_nodo(tablanodo);
	}
}
//________________________________________________________________________________________________________
//	
//	Muestra el formulario de captura de datos para modificacin
//________________________________________________________________________________________________________
function modificar(l,t,w,h,pages){
	reset_contextual(-1,-1) // Oculta menu contextual
	var identificador=toma_identificador(currentNodo)
	if (!identificador) identificador=0
	var whref=pages+"?opcion="+op_modificacion+"&identificador="+identificador
	var opciones = "dialogWidth:"+w+"px;dialogHeight:"+h+"px;"
    opciones += "resizable:yes;scroll:no;status:no;";
    opciones += "dialogLeft:"+l+"px;dialogTop:"+t+"px";
	retorno=window.showModalDialog(whref,"",opciones);
	if (retorno!=null){
		var splitRetorno=retorno.split("\t") 
		var resul=splitRetorno[0] 
		var descrierror=splitRetorno[1]
		if (!resul){ // Ha habido algn error en la modificacin
			alert(descrierror)
			return
		}
		var nwnombre=splitRetorno[2] 
		alert(CTbMsg[5]);

		if(currentNodo!=null){
			modifica_literal_nodo(currentNodo,nwnombre);
		}

		/* cambio del icono
		var urlimagenodo="";
		if(splitRetorno[3] !=null){
			urlimagenodo=splitRetorno[3] 
			if(urlimagenodo!=""){
				modifica_imagen_nodo(currentNodo,urlimagenodo);
			}
		}
		*/
	}
}
//________________________________________________________________________________________________________
//	
//	Muestra el formulario de captura de datos para eliminacin
//________________________________________________________________________________________________________
function eliminar(l,t,w,h,pages){
	reset_contextual(-1,-1) // Oculta menu contextual
	var identificador=toma_identificador(currentNodo)
	var whref=pages+"?opcion="+op_eliminacion+"&identificador="+identificador
	var opciones = "dialogWidth:"+w+"px;dialogHeight:"+h+"px;"
    opciones += "resizable:yes;scroll:no;status:no;";
    opciones += "dialogLeft:"+l+"px;dialogTop:"+t+"px";
	retorno=window.showModalDialog(whref,"",opciones);
	if (retorno!=null){
		var splitRetorno=retorno.split("\t") 
		var resul=splitRetorno[0] 
		var descrierror=splitRetorno[1]
		if (!resul){ // Ha habido algn error en la eliminacin
			alert(descrierror)
			return
		}
		alert(CTbMsg[6]);
		eliminar_nodo(currentNodo)  // Elimina el nodo del rbol
	}
}
//________________________________________________________________________________________________________
//	
//	Esta funcin se ejecuta en respuesta al evento fin_de_edicion de un nodo. El parmetro e es un objeto de argumentos de eventos:
//	Especificaciones:
//		El objeto e tiene las siguientes atributos o propiedades:
//			- literalnodo: El literal del nodo
//			- idnodo: El identificador del nodo
//________________________________________________________________________________________________________
function evento_modificacion(e){
	nwliteral=e.literalnodo
	var splitIDNodo=e.idnodo.split("-") 
	tabla=splitIDNodo[0]; // Nombre del nodo
	identificador=splitIDNodo[1]; // Identificador del nodo
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	switch(tabla){
		case LITAMBITO_GRUPOSORDENADORES:
				wurl="../gestores/gestor_gruposordenadores.php?opcion="+op_modificacion+"&idgrupo="+identificador+"&nombregrupoordenador="+nwliteral
				break;
		default:
				wurl="../gestores/gestor_grupos.php?opcion="+op_modificacion+"&idgrupo="+identificador+"&nombregrupo="+nwliteral
	}
	ifr.src=wurl; // LLama a la pgina
}
//________________________________________________________________________________________________________
//	
//		Copia al buffer un nodo para moverlo posteriormente
//________________________________________________________________________________________________________
function mover(tipo){
	reset_contextual(-1,-1)
	corte_currentNodo=currentNodo
	currentTipo=tipo
}
//________________________________________________________________________________________________________
//	
//	Mueve de sitio un nodo desde un grupo a otro o a la raiz
//________________________________________________________________________________________________________
function colocar(pages,tipo){
	reset_contextual(-1,-1)
	if (!corte_currentNodo || tipo!=currentTipo) {
		alert(CTbMsg[7]);
		corte_currentNodo=null
		currentTipo=null;
		return
	}
	var identificadorgrupo=toma_identificador(currentNodo)
	if (!identificadorgrupo) identificadorgrupo=0
	var identificador=toma_identificador(corte_currentNodo)
	if (!identificador) identificador=0 // Se trata de la raiz
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	var wurl=pages+"?opcion="+op_movida+"&grupoid="+identificadorgrupo+"&identificador="+identificador
	ifr.src=wurl; // LLama a la pgina gestora
}
//________________________________________________________________________________________________________
//	
//	Devuelve el resultado de cambiar un nodo de sitio
//	Parmetros:
//			- resul: resultado de la operacin( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro
//________________________________________________________________________________________________________
function resultado_mover(resul,descrierror,id){
	if (!resul){
		alert(descrierror)
		return
	}
	var currentNodoId=currentNodo.id // Guarda identificador del nodo actual
	var tbinfo=info_nodo(corte_currentNodo); // Recupera informacin de la tabla del nodo
	var swhijos=TieneHijos(currentNodo); // Comprueba si el nodo actual tiene hijos
	if (swhijos){ // Si tiene cambia la imagen de click del nodo
			patron = new RegExp("nada_c","gi") 
			tbinfo=tbinfo.replace(patron,"nada_t"); 
	}else{
			patron = new RegExp("nada_t","gi") 
			tbinfo=tbinfo.replace(patron,"nada_c"); 
	}
	currentNodo=document.getElementById(corte_currentNodo.id);  // Cambia el nodo actual por el que se va a eliminar
	eliminar_nodo(corte_currentNodo) // Lo elimina
	desresalta(currentNodo)
	currentNodo=document.getElementById(currentNodoId); // Vuelve a recuperar el nodo actual 
	resalta(currentNodo)
	insertar_nodo(currentNodo,tbinfo)
	corte_currentNodo=null;
}
//________________________________________________________________________________________________________
//	
//	Esta funcin muestra un menu contextual 
//		Los parmetros recibidos son:
//			- o: Objeto TD literal del nodo
//			- idmnctx: Identificador del DIV que contiene el menu contextual
//________________________________________________________________________________________________________
function menu_contextual(o,idmnctx){
	var menuctx=document.getElementById(idmnctx); // Toma objeto DIV
	o.click(); // Simula un click en el literal del nodo
	muestra_contextual(event.clientX,event.clientY,menuctx) // muestra menu
	event.returnValue=false // Cancela efectos del evento
}
