// *******************************************************************************
//	Libreria de scripts de Javascript
// Copyright 2003-2005 -2005  Jos Manuel Alonso. Todos los derechos reservados.
// Fichero: propiedades_combisoftwares.js
// Este fichero implementa las funciones javascript del fichero propiedades_combisoftwares.php
// *******************************************************************************
//____________________________________________________________________________
//	
//	Cancela la edicin 
//____________________________________________________________________________
function cancelar(){
	window.returnValue=null
	self.close();
}
//____________________________________________________________________________
//	
//	Confirma la edicin 
//____________________________________________________________________________
function confirmar(op){
	var opcion=op;
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	var wurl="../gestores/gestor_combisoftwares.php?opcion="+opcion
	if (opcion!=op_eliminacion){
		if(!comprobar_datos()) return
		var valor
		var o
		var nit=document.forms("fdatos").length // Prepara la cadena de parmetros metodo get
		for (i=0;i<nit;i++){
			o=document.forms("fdatos").item(i)
			valor=o.value
			if (valor=="on") {
					if(o.checked ) 
						valor=1; 
					else 
						valor=0
			}
			wurl+="&"+o.name+"="+valor
		}
	}
	else{
		var numo=parseInt(document.fdatos.ordenadores.value)
		if (numo>0){
			var msg="Atencin existen ordenadores con este software combinacional." 
				msg+=" No puede eliminarlo a menos que adscriba dichos ordenadores a otro software combinacional"
			alert(msg);
			return
		}
		wurl+="&idsoftcombinacional="+document.fdatos.idsoftcombinacional.value
	}
	ifr.src=wurl; // LLama a la pgina gestora
}
//____________________________________________________________________________
//	
//	Comprobar_datos 
//____________________________________________________________________________
function comprobar_datos(){
	if (document.fdatos.descripcion.value=="") {
		alert("Debe introducir el nombre del software combinacional");
		document.fdatos.descripcion.focus();
		return(false);
	}
	return(true);
}
//____________________________________________________________________________
//	
// Devuelve el resultado de insertar un nuevo software combinacional en la base de datos a traves del IFRAME
// Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin (true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- nwid: Identificador asignado al nuevo registro
//			- tablanodo: Tabla nodo generada para el nuevo registro (rbol de un slo un elemento)
//____________________________________________________________________________
function resultado_insertar_combisoftwares(resul,descrierror,nwid,tablanodo){
	valorretorno=resul+"\t"+descrierror+"\t"+nwid+"\t"+tablanodo
	window.returnValue=valorretorno;
	self.close();
}
//____________________________________________________________________________
//	
//		Devuelve el resultado de modificar algn dato de un software combinacional a traves del IFRAME
//		Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro que se quiso modificar
//____________________________________________________________________________
function resultado_modificar_combisoftwares(resul,descrierror,id){
	valorretorno=resul+"\t"+descrierror+"\t"+document.fdatos.descripcion.value
	window.returnValue=valorretorno;
	self.close();
}
//____________________________________________________________________________
//	
//		Devuelve el resultado de eliminar el un software combinacional a traves del IFRAME
//		Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro que se quiso modificar
//____________________________________________________________________________
function resultado_eliminar_combisoftwares(resul,descrierror,id){
	valorretorno=resul+"\t"+descrierror+"\t"+id
	window.returnValue=valorretorno;
	self.close();
}