// *************************************************************************************************************************************************
//	Libreria de scripts de Javascript
// Copyright 2003-2005  Jos Manuel Alonso. Todos los derechos reservados.
// Fecha Creacin:2003-2004
// Fecha ltima modificacin: Marzo-2005
// Nombre del fichero: propiedades_imagenes.js
// Descripcin : 
//		Este fichero implementa las funciones javascript del fichero propiedades_imagenes.php
// *************************************************************************************************************************************************
//________________________________________________________________________________________________________
//	
//	Cancela la edicin 
//________________________________________________________________________________________________________
function cancelar(){
	window.returnValue=null
	self.close();
}
//________________________________________________________________________________________________________
//	
//	Confirma la edicin 
//________________________________________________________________________________________________________
function confirmar(op){
	var opcion=op;
	ifr=document.getElementById("iframes_comodin"); // Toma objeto Iframe
	var wurl="../gestores/gestor_imagenes.php?opcion="+opcion
	if (opcion!=op_eliminacion){
		if(!comprobar_datos()) return
		var valor
		var o
		var nit=document.forms("fdatos").length // Prepara la cadena de parmetros metodo get
		for (i=0;i<nit;i++){
			o=document.forms("fdatos").item(i)
			valor=o.value
			if (valor=="on") {
					if(o.checked ) 
						valor=1; 
					else 
						valor=0
			}
			wurl+="&"+o.name+"="+valor
		}
	}
	else{
		/*var numo=parseInt(document.fdatos.ordenadores.value)
		if (numo>0){
			var resul=window.confirm(TbMsg[2]);
			if (!resul)  self.close()
		}
		*/
		wurl+="&idimagen="+document.fdatos.idimagen.value
	}
	ifr.src=wurl; // LLama a la pgina gestora
}
//________________________________________________________________________________________________________
//	
//	Comprobar_datos 
//________________________________________________________________________________________________________
function comprobar_datos(){
	if (document.fdatos.descripcion.value=="") {
		alert(TbMsg[0]);
		document.fdatos.descripcion.focus();
		return(false);
	}
	var  p=document.fdatos.idperfilsoft.selectedIndex
	 if (p==0){  
         alert(TbMsg[1])
         document.forms.fdatos.idperfilsoft.focus()
         return(false)
	}
	return(true);
}
//________________________________________________________________________________________________________
//	
// Devuelve el resultado de insertar una nueva imagen en la base de datos a traves del IFRAME
// Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin (true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- nwid: Identificador asignado al nuevo registro
//			- tablanodo: Tabla nodo generada para el nuevo registro (rbol de un slo un elemento)
//________________________________________________________________________________________________________
function resultado_insertar_imagenes(resul,descrierror,nwid,tablanodo){
	valorretorno=resul+"\t"+descrierror+"\t"+nwid+"\t"+tablanodo
	window.returnValue=valorretorno;
	self.close();
}
//________________________________________________________________________________________________________
//	
//		Devuelve el resultado de modificar algn dato de una imagen a traves del IFRAME
//		Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro que se quiso modificar
//________________________________________________________________________________________________________
function resultado_modificar_imagenes(resul,descrierror,id){
	valorretorno=resul+"\t"+descrierror+"\t"+document.fdatos.descripcion.value
	window.returnValue=valorretorno;
	self.close();
}
//________________________________________________________________________________________________________
//	
//		Devuelve el resultado de eliminar una imagen a traves del IFRAME
//		Especificaciones:
//		Los parmetros recibidos son:
//			- resul: resultado de la operacin de insercin ( true si tuvo xito)
//			- descrierror: Descripcin del error en su caso
//			- id: Identificador del registro que se quiso modificar
//________________________________________________________________________________________________________
function resultado_eliminar_imagenes(resul,descrierror,id){
	valorretorno=resul+"\t"+descrierror+"\t"+id
	window.returnValue=valorretorno;
	self.close();
}